Package org.apache.sysds.runtime.lineage

# Class LineageRecomputeUtils

java.lang.Object
org.apache.sysds.runtime.lineage.LineageRecomputeUtils

public class LineageRecomputeUtils extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static Map<String,org.apache.sysds.runtime.lineage.LineageRecomputeUtils.DedupLoopItem>`
`loopPatchMap`
`static final String`
`LPLACEHOLDER`

## Constructor Summary

Constructors
Constructor
Description
`LineageRecomputeUtils()`

## Method Summary

Modifier and Type
Method
Description
`static Data`
`parseNComputeLineageTrace(String mainTrace)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LPLACEHOLDER

public static final String LPLACEHOLDER

See Also:
  - Constant Field Values

### loopPatchMap

public static Map<String,org.apache.sysds.runtime.lineage.LineageRecomputeUtils.DedupLoopItem> loopPatchMap

## Constructor Details

### LineageRecomputeUtils

public LineageRecomputeUtils()

## Method Details

### parseNComputeLineageTrace

public static Data parseNComputeLineageTrace(String mainTrace)